﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Media.Imaging;
using Microsoft.Windows.Controls.Ribbon;

namespace RibbonApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            // Insert code required on object creation below this point.

            this.Loaded += (s, e) =>
                {
                    Group1.Items.Clear();

                    CreateDriveIcons();
                };
        }

        private void CreateDriveIcons()
        {
            foreach (var drive in System.IO.DriveInfo.GetDrives())
            {
                RibbonButton button = new RibbonButton()
                {
                    Label = drive.Name,
                    LargeImageSource = new BitmapImage(new Uri("/Images/LargeIcon.png", UriKind.Relative))
                };
                button.Click += (s, e) => { MessageBox.Show((s as RibbonButton).Label + " clicked"); };
                Group1.Items.Add(button);
            }
        }
    }
}
